> ## Documentation Index
> Fetch the complete documentation index at: https://docs.millis.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call Log Metrics



## OpenAPI

````yaml https://api-west.millis.ai/openapi.json get /call-logs/metrics
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api-west.millis.ai
    description: US Region API Gateway
  - url: https://api-eu-west.millis.ai
    description: EU Region API Gateway
security: []
paths:
  /call-logs/metrics:
    get:
      tags:
        - Call Logs
      summary: Get Call Log Metrics
      operationId: get_call_log_metrics_call_logs_metrics_get
      parameters:
        - name: period
          in: query
          required: false
          schema:
            type: string
            description: 'Time period: ''1d'', ''7d'', ''30d'', or ''YYYY-MM'' for a calendar month.'
            default: 30d
            title: Period
          description: 'Time period: ''1d'', ''7d'', ''30d'', or ''YYYY-MM'' for a calendar month.'
        - name: agent_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by specific agent ID.
            title: Agent Id
          description: Filter by specific agent ID.
        - name: campaign_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by specific campaign ID.
            title: Campaign Id
          description: Filter by specific campaign ID.
        - name: authorization
          in: header
          required: true
          schema:
            type: string
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallLogMetrics'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CallLogMetrics:
      properties:
        total_calls:
          type: integer
          title: Total Calls
        active_calls:
          type: integer
          title: Active Calls
        status_counts:
          additionalProperties:
            type: integer
          type: object
          title: Status Counts
        total_minutes:
          type: number
          title: Total Minutes
        avg_duration_seconds:
          type: number
          title: Avg Duration Seconds
        min_duration_seconds:
          type: number
          title: Min Duration Seconds
        max_duration_seconds:
          type: number
          title: Max Duration Seconds
        period:
          type: string
          title: Period
        start_time:
          type: number
          title: Start Time
        end_time:
          type: number
          title: End Time
      type: object
      required:
        - total_calls
        - active_calls
        - status_counts
        - total_minutes
        - avg_duration_seconds
        - min_duration_seconds
        - max_duration_seconds
        - period
        - start_time
        - end_time
      title: CallLogMetrics
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````